Skip to main content
PUT
/
v1
/
accounts
/
{id}
/
webhook
Set the webhook config
curl --request PUT \
  --url https://api.onlyfanskit.dev/v1/accounts/{id}/webhook \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "url": "<string>",
  "events": [
    "<string>"
  ],
  "signingSecret": "<string>"
}
'
{
  "webhook": {
    "url": "<string>",
    "events": [
      "<string>"
    ],
    "signingSecret": "<string>",
    "createdAt": "<string>",
    "updatedAt": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.onlyfanskit.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Your API key, sent as Authorization: Bearer <key>.

Path Parameters

id
string
required

Connected account id.

Body

application/json
url
string<uri>
required
events
string[]

Optional allow-list of event names. Omit to receive all.

signingSecret
string

Optional. A secret is generated if omitted.

Minimum string length: 16

Response

200 - application/json

Webhook saved (secret included)

webhook
object